Bug 1022218 - Hibernate causes system crash [NEEDINFO]
Hibernate causes system crash
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 14:02 EDT by jerk_alert
Modified: 2014-03-10 10:42 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:42:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
Contents of /var/log/messages after hibernate requested (2.51 KB, text/plain)
2013-10-22 14:02 EDT, jerk_alert
no flags Details

  None (edit)
Description jerk_alert 2013-10-22 14:02:29 EDT
Created attachment 815137 [details]
Contents of /var/log/messages after hibernate requested

Description of problem:
Hibernate causes system crash on acer laptop.

3.11.4-201.fc19.x86_64
MATE 1.6.1

Version-Release number of selected component (if applicable):


How reproducible:
From MATE desktop, selecting hibernate causes screen to go black for 2-3 seconds, then come back frozen and unresponsive. Screen stays lit for approx 30 seconds, then system crashes.


Steps to Reproduce:
1. Hibernate the machine.
2.
3.

Actual results:
See attachment for /var/log/messages output. 

Expected results:


Additional info:
Comment 1 Michal Schmidt 2013-10-22 14:13:04 EDT
Could you try running the command "systemctl hibernate" from a virtual terminal? Does the bug happen then too?
Does suspend-to-RAM have the same problem?

It does not seem likely to be caused by systemd. Reassigning to kernel for now.

> [...] Screen stays lit for approx 30 seconds, then system crashes.

Crashes how? What happens exactly?
Comment 2 jerk_alert 2013-10-22 18:53:22 EDT
Yes, same exact thing happens with "systemctl hibernate" 

After the screen goes off and comes back on again for ~30sec, the machine powers off completely.. unlike a normal shutdown, it's totally unresponsive until it powers off. When it comes back on, it's like a normal boot with no one logged in, etc. 

I thought it was related to this bug and posted comments here - https://bugzilla.redhat.com/show_bug.cgi?id=998457

Unlike last time, and the times before, there was very little in /var/log/messages 


Oct 22 14:05:39 localhost /etc/gdm/Xsession[1863]: Window manager warning: Received a _NET_WM_MOVERESIZE message for 0x3200328 (Multisampl); these messages lack timestamps and$
Oct 22 14:06:21 localhost systemd[1]: Starting Sleep.
Oct 22 14:06:21 localhost systemd[1]: Reached target Sleep.
Oct 22 14:06:21 localhost systemd[1]: Starting Hibernate...
Oct 22 14:06:21 localhost systemd-sleep[4184]: Suspending system...
Oct 22 15:41:46 localhost rsyslogd: [origin software="rsyslogd" swVersion="7.2.6" x-pid="885" x-info="http://www.rsyslog.com"] start


Thanks for the help.
Comment 3 jerk_alert 2013-10-22 18:54:29 EDT
Forgot to answer - suspend to RAM works fine.
Comment 4 Justin M. Forbes 2014-01-03 17:06:00 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 5 Justin M. Forbes 2014-03-10 10:42:53 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.